body {
  display: flex;
  flex-direction: column;
  padding-bottom: 1rem;
  align-items: center;
  overflow-x: hidden;
}

.filter-form {
  background: #fff;
  border: 2px solid var(--dark-accent);
  padding-bottom: 2rem;
  width: 60%;
  margin: 0 auto;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.flex-row {
  display: flex;
  gap: 1rem;
  width: 100%;
}

.headline {
  background-color: var(--dark-accent);
  width: 100%;
  padding: 1rem;
}

h1 {
  text-align: center;
  color: #fff;
  font-size: 1.3rem;
}

.content-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin: 3rem 2rem;
}

.input-field {
  min-height: 100%;
  max-width: fit-content;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
}

.input-field label {
  display: block;
  margin-bottom: 5px;
  font-weight: bold;
  color: #333;
}

.search-button-style,
.back {
  margin-bottom: 0;
  display: flex;
  align-self: flex-end;
}

.book-btn {
  justify-self: center;
  grid-column: span 2;
}

.spaces-container {
  margin-top: 5rem;
  margin-inline: auto;
  width: fit-content;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
}

.spaces-table {
  display: none;
  font-size: var(--fs-big);
  border: 2px solid var(--primary-color);
  gap: 0;
  border-spacing: 0px;
  width: 100%;
}

thead,
tbody {
  display: block;
}

thead tr,
tbody tr {
  display: flex;
  width: 100%;
}

tbody {
  max-height: fit-content;
  overflow-y: auto;
  overflow-x: hidden;
}

.spaces-table tr:nth-of-type(2n) {
  background-color: #dee9ff;
}

.spaces-table thead tr {
  background: var(--dark-accent);
  color: var(--light-accent);
  padding-right: 1rem;
}

.spaces-table thead tr th {
  font-weight: 600;
  border: none;
  border-spacing: 0 !important;
}

.spaces-table td,
.spaces-table th {
  padding: 0.5rem;
  text-align: center;
  border-right: 2px solid var(--dark-accent);
  font-size: 1rem !important;
}

.tw-1,
.tw-2,
.tw-3,
.tw-4 {
  display: flex;
  align-items: center;
  justify-content: center;
}

.tw-1 {
  width: 35%;
  overflow-x: hidden;
  text-align: center;
}

.tw-2 {
  width: 22.5%;
}

.tw-3 {
  width: 22.5%;
}

.tw-4 {
  width: 20%;
  display: flex;
  gap: 1.5rem;
  align-items: center;
  margin-inline: auto;
  border-right: none !important;
}

.size-inputs {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

.size-field {
  width: 45% !important;
  margin-left: 0.5rem;
}

.custom-input {
  width: 85%;
  height: 2rem;
}

.btn-custom {
  align-self: center;
}

#search-button {
  align-self: flex-end;
  font-size: 1rem;
  padding: .3rem .5rem;
}

.option {
  scale: 1.3;
  opacity: 1;
}

.option:hover {
  cursor: pointer;
  opacity: .4;
}

.details:hover {
  color: var(--dark-accent);
}

.book:hover {
  color: rgb(0, 132, 255)
}